/* Copyright 2025 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: llsq.h
 * Author: Jed Marti KI7NNP
 * Description: Prototypes for linear least squares code.
 * Created: Wed Nov 12 10:19:29 2025
 * Revision History:
 */


#ifndef llsq_h
#define llsq_h

// Fast versions.
float fllsq5(void);
float fllsq7(void);

// Generic version.
void llsq(float *x, float *y, uint16_t n,  float *m, float *b);

#endif
